# Contributing

Sklearn-genetic-opt is an open-source project and contributions of all kinds
are welcome.

You can contribute with documentation, examples/tutorials, reviewing pull requests, code,
helping answer questions in issues, creating visualizations, maintaining project
infrastructure, and creating new tests. 

Code contributions are always welcome, from simple bug fixes, to new features.
Also consider contributing to the documentation, is the easiest way to get started 

We encourage you to follow these guidelines:

* Fork this project, make the changes you expect to merge and make a pull request 
* If the working you are making is related to some issue, mention in the comments 
  you are working on it, so other people know and no duplicate you work.
* If you are working in a new feature, or have an idea, consider first opening an issue
  so people know in what you are working on and possible give some guidelines
* Commit all changes by pull request (PR)
* A PR solves one problem (do not mix problems together in one PR) with the
  minimal set of changes
* Describe why you are proposing those changes 
* Please run black on top of the package to keep the formatting style
    ```bash
    black .
    ```
* Make sure all the test are passing, by running in the root of the project
    ```bash
    pytest sklearn_genetic
    ```
* We can not merge if the tests fails.

Thank you for being part of this project!
